<?php

class Model_detail extends CI_Model
{

    function get_data() {
        return $this->db
            ->select('*') // Menentukan kolom yang ingin dipilih, Anda dapat mengubahnya sesuai kebutuhan
            ->from('penjualan')
            ->join('detail_penjualan', 'penjualan.id_dtlpen = detail_penjualan.id', 'left') // Join ke detail_penjualan
            ->join('barang', 'barang.id_barang = penjualan.id_barang', 'left') // Join ke tabel barang jika diperlukan
            ->join('pembayaran', 'detail_penjualan.id_pembayaran = pembayaran.id_byr', 'inner') // Join ke tabel pembayaran
            ->order_by('penjualan.id_transaksi', 'ASC')
            ->get()
            ->result();
    }
    
    function get_metode()
    {
        return $this->db->get('pembayaran')->result();
    }


    function get_range($start, $end, $metode)
    {
        if ($metode != '') {
            return $this->db
            ->select('*') // Pilih kolom yang diinginkan
            ->from('penjualan')
            ->join('detail_penjualan', 'penjualan.id_dtlpen = detail_penjualan.id', 'left')
            ->join('barang', 'barang.id_barang = penjualan.id_barang', 'left')
            ->join('pembayaran', 'detail_penjualan.id_pembayaran = pembayaran.id_byr', 'inner')
            ->where("detail_penjualan.tgl_trf >=", $start) // Ubah penjualan.tgl_trf
            ->where("detail_penjualan.tgl_trf <=", $end)   // Ubah penjualan.tgl_trf
            ->where('detail_penjualan.id_pembayaran', $metode) // Ubah detail_penjualan.id_pembayaran
            ->distinct()
            ->order_by('penjualan.id_transaksi', 'ASC')
            ->get()
            ->result();
            
        } else {
            
                return $this->db
                    ->select('*')
                    ->from('penjualan')
                    ->join('detail_penjualan', 'penjualan.id_dtlpen = detail_penjualan.id', 'left')
                    ->join('barang', 'barang.id_barang = penjualan.id_barang', 'left')
                    ->join('pembayaran', 'detail_penjualan.id_pembayaran = pembayaran.id_byr', 'inner')
                    ->where("detail_penjualan.tgl_trf >=", $start)
                    ->where("detail_penjualan.tgl_trf <=", $end)
                    ->distinct()
                    ->order_by('penjualan.id_transaksi', 'ASC')
                    ->get()
                    ->result();
            
            
        }
    }

    function hapus_trf($id)
    {
        $this->db->where('id', $id)->delete('detail_penjualan');
    }
    function hapus_id($id)
    {
        $this->db->where('id_dtlpen', $id)->delete('penjualan');
    }
}
